Adds a comment to a message. Prefer POST /comments/case/:caseId/source/:sourceType/:sourceId, which works for every kind of source.
POST
/comments/case/{caseId}/message/{messageId}
curl \
--request POST 'http://api.example.com/comments/case/{caseId}/message/{messageId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "organization: string" \
--data '{
"text": "string"
}'
Request examples
# Headers
organization: string
# Payload
{
"text": "string"
}
Response examples (201)
{
"data": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"text": "Relevant to the timeline",
"source": "507f1f77bcf86cd799439011",
"sourceType": "DeviceMessage",
"deviceMessage": "507f1f77bcf86cd799439011",
"user": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"phone": [
"+15555550100"
],
"isActive": true,
"isEmailVerified": true,
"lastActive": "2026-01-15T14:30:00.000Z",
"roles": [
"user"
],
"avatar": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"onboardingStatus": "completed",
"userType": "attorney",
"firstName": "Jane",
"lastName": "Doe",
"initials": "JD",
"userOrganizations": [
{}
]
},
"parent": "507f1f77bcf86cd799439011",
"replyCount": 0
},
"statusCode": 201,
"timestamp": "2026-01-15T10:15:00.000Z"
}